Bug 450609 - Gtk-CRITICAL **: gtk_window_resize: assertion `height > 0' failed
Gtk-CRITICAL **: gtk_window_resize: assertion `height > 0' failed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tilda (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-09 16:42 EDT by Stefan Jensen
Modified: 2008-06-22 16:44 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.9.5-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-22 16:44:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tilda on compiz enabled desktop (256.93 KB, image/png)
2008-06-14 18:18 EDT, Stefan Jensen
no flags Details

  None (edit)
Description Stefan Jensen 2008-06-09 16:42:53 EDT
Description of problem:

window-manager complains about tilda's window, when showed up.

Version-Release number of selected component (if applicable):

tilda-0.9.4-6.fc8

How reproducible:

Always

Steps to Reproduce:
1. start tilda
2. configure shortcut for popup
3. watch ~/.xsession-error while using shortcut for tilda
  
Actual results:

error message in .xsession-error

Expected results:

no errors

Additional info:

~/.xsession-error:

(tilda:4586): Gtk-CRITICAL **: gtk_window_resize: assertion `height > 0' failed
Fenstermanager-Warnung:Buggy client sent a _NET_ACTIVE_WINDOW message with a
timestamp of 0 for 0x4c0001b (tilda)
Fenstermanager-Warnung:meta_window_activate called by a pager with a 0
timestamp; the pager needs to be fixed.
(tilda:4586): Gtk-CRITICAL **: gtk_window_resize: assertion `height > 0' failed
Comment 1 Xavier Lamien 2008-06-14 17:29:36 EDT
could give a try with this update release :
==> http://koji.fedoraproject.org/koji/taskinfo?taskID=662237

Thx,
Comment 2 Stefan Jensen 2008-06-14 18:17:29 EDT
Thanks,

0.9.5-1.fc8.i386 works without any error messages. But when i enable compiz, i
get only a grey tilda window. Please see the attached screenshot. It is scaled
down, but i think you can get an idea of what i mean. (tilda sits on the 15%
top, full width)

i don't know if it is now a comiz issue or tilda.

best regards
Comment 3 Stefan Jensen 2008-06-14 18:18:34 EDT
Created attachment 309373 [details]
tilda on compiz enabled desktop

Ups, here come the screenshot.
Comment 4 Stefan Jensen 2008-06-14 21:03:51 EDT
Hi,...

i just figured out, that the "grey window error" with compiz seems to lay
somewhere in the "Animated Pulldown" Function. If i disable the Animation, tilda
is displayed well.

best regards
Comment 5 Xavier Lamien 2008-06-15 02:46:06 EDT
i was about to tell you that about "Animated" feature.
solid ;).

Well, i'll push this update into the repository then.

Thanks,
Comment 6 Stefan Jensen 2008-06-15 09:46:34 EDT
If the "Animated Pulldown" can't be fixed (yet), i suggest to make it disabled
as an default in tilda. Most people out there use compiz i think.

best regards
Comment 7 Stefan Jensen 2008-06-16 10:31:34 EDT
the "Stay on top" feature is not working properly, too (with compiz again).

If i use the shortcut to display tilda, it stays behind the last active window.
Then, when i click into the tilda window, it goes "on top", and correctly stay
there until i use the shortcut again to hide the tilda window. On the next show
up tilda, it stays behind the last active window, again.

best regards
Comment 8 Fedora Update System 2008-06-20 11:55:53 EDT
tilda-0.9.5-1.fc8 has been submitted as an update for Fedora 8
Comment 9 Fedora Update System 2008-06-22 16:44:39 EDT
tilda-0.9.5-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.